2019-08-26 08:31 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000264mercuryBugpublic2015-11-02 16:55
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000264: function mode lost without warning
DescriptionIt's possible to place a function with non-default mode into a ground term then extract it back out, now with the default mode assumed.

According to the manual this should be forbidden:

   As a consequence of this, it is a mode error to pass a higher-order
function term that does not match this standard mode to somewhere where
its higher-order inst information may be lost[...]

which was apparently implemented:
http://www.mercury.csse.unimelb.edu.au/mailing-lists/mercury-users/mercury-users.0308/0013.html
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000865

zs (developer)

Fix committed 2015 nov 2.
+Notes

-Issue History
Date Modified Username Field Change
2012-10-02 22:55 wangp New Issue
2012-10-02 22:55 wangp File Added: default_ho_inst.m
2015-11-02 16:55 zs Note Added: 0000865
2015-11-02 16:55 zs Status new => resolved
2015-11-02 16:55 zs Resolution open => fixed
2015-11-02 16:55 zs Assigned To => zs
+Issue History